[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#436668: marked as done (cppopt: not handling nostrip build option (policy 10.1) sid/i386)



Your message dated Fri, 18 Apr 2008 22:40:16 -0400
with message-id <1208572816.689538.3379.nullmailer@comcast.net>
and subject line cppopt has been removed from Debian, closing #436668
has caused the Debian Bug report #436668,
regarding cppopt: not handling nostrip build option (policy 10.1) sid/i386
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
436668: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=436668
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: cppopt
Version: 0.0.2-6
Severity: wishlist
User: buildd@naquadah.org
Usertags: nostrip

Hello,

There was a problem while autobuilding your package with DEB_BUILD_OPTIONS=nostrip.
Final binaries are still stripped.

If you call dh_strip correctly in debian/rules, this may mean that upstream
is stripping anyway.
You should look for call to strip, ld -s or install -s which may strip binaries.


> Automatic build of cppopt_0.0.2-6 on octave for sid/i386 by rebuildd 0.2.1
> Build started at 2007-08-08 12:05:13.071386
> ******************************************************************************
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Need to get 28.2kB of source archives.
> Get:1 http://ftp.fr.debian.org sid/main cppopt 0.0.2-6 (dsc) [618B]
> Get:2 http://ftp.fr.debian.org sid/main cppopt 0.0.2-6 (tar) [25.7kB]
> Get:3 http://ftp.fr.debian.org sid/main cppopt 0.0.2-6 (diff) [1827B]
> Fetched 28.2kB in 0s (121kB/s)
> Download complete and in download only mode
> W: /home/staff/jd/.pbuilderrc does not exist
> I: using fakeroot in build.
> Current time: Wed Aug  8 12:05:16 UTC 2007
> pbuilder-time-stamp: 1186574716
> Building the build Environment
>  -> extracting base tarball [/var/cache/pbuilder/sid.tgz]
>  -> creating local configuration
>  -> copying local configuration
>  -> mounting /proc filesystem
>  -> mounting /dev/pts filesystem
>  -> policy-rc.d already exists
> Obtaining the cached apt archive contents
> Installing the build-deps
>  -> Attempting to parse the build-deps 
>  -> Considering build-dep debhelper (>= 3)
>    -> Trying debhelper
>  -> Considering build-dep automake1.9
>    -> Trying automake1.9
>  -> Considering build-dep autoconf
>    -> Trying autoconf
>  -> Considering build-dep autotools-dev
>    -> Trying autotools-dev
>  -> Installing  debhelper automake1.9 autoconf autotools-dev
> Reading package lists...
> Building dependency tree...
> Reading state information...
> The following extra packages will be installed:
>   file gettext gettext-base html2text intltool-debian libmagic1 m4 po-debconf
> Suggested packages:
>   autoconf2.13 autobook autoconf-archive gnu-standards autoconf-doc
>   automake1.9-doc dh-make cvs gettext-doc
> Recommended packages:
>   automaken curl wget lynx libmail-sendmail-perl libcompress-zlib-perl
> The following NEW packages will be installed:
>   autoconf automake1.9 autotools-dev debhelper file gettext gettext-base
>   html2text intltool-debian libmagic1 m4 po-debconf
> debconf: delaying package configuration, since apt-utils is not installed
> 0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B/4563kB of archives.
> After unpacking 14.5MB of additional disk space will be used.
> Selecting previously deselected package libmagic1.
> (Reading database ... 8965 files and directories currently installed.)
> Unpacking libmagic1 (from .../libmagic1_4.21-2_i386.deb) ...
> Selecting previously deselected package file.
> Unpacking file (from .../archives/file_4.21-2_i386.deb) ...
> Selecting previously deselected package gettext-base.
> Unpacking gettext-base (from .../gettext-base_0.16.1-2_i386.deb) ...
> Selecting previously deselected package m4.
> Unpacking m4 (from .../archives/m4_1.4.9-2_i386.deb) ...
> Selecting previously deselected package autoconf.
> Unpacking autoconf (from .../autoconf_2.61-4_all.deb) ...
> Selecting previously deselected package autotools-dev.
> Unpacking autotools-dev (from .../autotools-dev_20070306.1_all.deb) ...
> Selecting previously deselected package automake1.9.
> Unpacking automake1.9 (from .../automake1.9_1.9.6+nogfdl-3_all.deb) ...
> Selecting previously deselected package html2text.
> Unpacking html2text (from .../html2text_1.3.2a-3_i386.deb) ...
> Selecting previously deselected package gettext.
> Unpacking gettext (from .../gettext_0.16.1-2_i386.deb) ...
> Selecting previously deselected package intltool-debian.
> Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
> Selecting previously deselected package po-debconf.
> Unpacking po-debconf (from .../po-debconf_1.0.9_all.deb) ...
> Selecting previously deselected package debhelper.
> Unpacking debhelper (from .../debhelper_5.0.53_all.deb) ...
> Setting up libmagic1 (4.21-2) ...
> 
> Setting up file (4.21-2) ...
> Setting up gettext-base (0.16.1-2) ...
> 
> Setting up m4 (1.4.9-2) ...
> 
> Setting up autoconf (2.61-4) ...
> 
> Setting up autotools-dev (20070306.1) ...
> Setting up automake1.9 (1.9.6+nogfdl-3) ...
> 
> Setting up html2text (1.3.2a-3) ...
> 
> Setting up gettext (0.16.1-2) ...
> 
> Setting up intltool-debian (0.35.0+20060710.1) ...
> Setting up po-debconf (1.0.9) ...
> Setting up debhelper (5.0.53) ...
>  -> Finished parsing the build-deps
> Reading package lists...
> Building dependency tree...
> Reading state information...
> fakeroot is already the newest version.
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Copying back the cached apt archive contents
> Copying source file
>     -> copying [cppopt_0.0.2-6.dsc]
>     -> copying [./cppopt_0.0.2.orig.tar.gz]
>     -> copying [./cppopt_0.0.2-6.diff.gz]
> Extracting source
> gpg: can't open `/gnupg/options.skel': No such file or directory
> gpg: Signature made Wed Feb  7 11:21:29 2007 UTC using DSA key ID 0ED704EA
> gpg: Can't check signature: public key not found
> dpkg-source: extracting cppopt in cppopt-0.0.2
> dpkg-source: unpacking cppopt_0.0.2.orig.tar.gz
> dpkg-source: applying ./cppopt_0.0.2-6.diff.gz
>  -> Building the package
> Setting DEB_BUILD_OPTIONS=nostrip
> dpkg-buildpackage: source package is cppopt
> dpkg-buildpackage: source version is 0.0.2-6
> dpkg-buildpackage: source changed by Mohammed Adnène Trojette <adn+deb@diwi.org>
> dpkg-buildpackage: host architecture i386
> dpkg-buildpackage: source version without epoch 0.0.2-6
>  fakeroot debian/rules clean
> dh_testdir
> rm -f build-stamp preconfigure-stamp configure-stamp
> /usr/bin/make maintainer-clean
> make[1]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> make[1]: *** No rule to make target `maintainer-clean'.  Stop.
> make[1]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> make: [clean] Error 2 (ignored)
> rm -f aclocal.m4 config.guess config.sub configure config.h.in Makefile.in
> rm -rf  debian/libcppopt0/
> dh_clean
> dh_clean: Compatibility levels before 4 are deprecated.
>  dpkg-source -b cppopt-0.0.2
> dpkg-source: building cppopt using existing cppopt_0.0.2.orig.tar.gz
> dpkg-source: building cppopt in cppopt_0.0.2-6.diff.gz
> dpkg-source: building cppopt in cppopt_0.0.2-6.dsc
>  debian/rules build
> dh_testdir
> ln -sf /usr/share/misc/config.guess .
> ln -sf /usr/share/misc/config.sub .
> aclocal
> autoheader
> autoconf
> automake
> touch preconfigure-stamp
> dh_testdir
> CXXFLAGS='-O3' ./configure --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> /tmp/buildd/cppopt-0.0.2/missing: Unknown `--run' option
> Try `/tmp/buildd/cppopt-0.0.2/missing --help' for more information
> configure: WARNING: `missing' script is too old or missing
> checking for gawk... no
> checking for mawk... mawk
> checking whether make sets $(MAKE)... yes
> checking for g++... g++
> checking for C++ compiler default output file name... a.out
> checking whether the C++ compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking for style of include used by make... GNU
> checking dependency style of g++... none
> checking for ranlib... ranlib
> checking whether ln -s works... yes
> checking for gcc... gcc
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... none
> checking for library containing strerror... none required
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether make sets $(MAKE)... (cached) yes
> checking whether time.h and sys/time.h may both be included... yes
> checking whether struct tm is in sys/time.h or time.h... time.h
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: creating src/Makefile
> config.status: WARNING:  src/Makefile.in seems to ignore the --datarootdir setting
> config.status: creating config.h
> config.status: executing depfiles commands
> touch configure-stamp
> dh_testdir
> /usr/bin/make
> make[1]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> /usr/bin/make  all-recursive
> make[2]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> Making all in src
> make[3]: Entering directory `/tmp/buildd/cppopt-0.0.2/src'
> g++ -Wall -W -O3 -fPIC -I. -c cppopt.cpp -o cppopt.sho
> g++ -Wall -W -O3 -I. -shared \
> 	-Wl,-symbolic,-soname,libcppopt.so.0 \
> 	cppopt.sho -o libcppopt.so.0.0.2
> ln -sf libcppopt.so.0.0.2 libcppopt.so.0
> ln -sf libcppopt.so.0 libcppopt.so
> g++ -Wall -W -O3 -I. -c cppopt.cpp -o cppopt.o
> ar rc libcppopt.a cppopt.o
> ranlib libcppopt.a
> make[3]: Leaving directory `/tmp/buildd/cppopt-0.0.2/src'
> make[3]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> make[3]: Nothing to be done for `all-am'.
> make[3]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> make[2]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> make[1]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> touch build-stamp
>  fakeroot debian/rules binary
> dh_testdir
> dh_testroot
> dh_clean -k
> dh_clean: Compatibility levels before 4 are deprecated.
> dh_installdirs
> dh_installdirs: Compatibility levels before 4 are deprecated.
> /usr/bin/make install prefix=/tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr
> make[1]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> Making install in src
> make[2]: Entering directory `/tmp/buildd/cppopt-0.0.2/src'
> /usr/bin/install -c -d /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/lib
> /usr/bin/install -c -m 644 libcppopt.so.0.0.2 /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/lib
> ln -s libcppopt.so.0.0.2 /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/lib/libcppopt.so.0
> ln -s libcppopt.so.0 /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/lib/libcppopt.so
> /usr/bin/install -c -d /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/lib
> /usr/bin/install -c -m 644 libcppopt.a /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/lib
> /usr/bin/install -c -d /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/include
> /usr/bin/install -c -m 644 cppopt.h /tmp/buildd/cppopt-0.0.2/debian/libcppopt-dev/usr/include
> make[2]: Leaving directory `/tmp/buildd/cppopt-0.0.2/src'
> make[2]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> make[3]: Entering directory `/tmp/buildd/cppopt-0.0.2'
> make[3]: Nothing to be done for `install-exec-am'.
> make[3]: Nothing to be done for `install-data-am'.
> make[3]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> make[2]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> make[1]: Leaving directory `/tmp/buildd/cppopt-0.0.2'
> dh_testdir
> dh_testroot
> #
> # build libcppopt0 package by moving files from libcppopt-dev
> # build libcppopt0c2 the same way
> #
> # dh_movefiles --sourcedir=debian/libcppopt-dev -plibcppopt0
> dh_movefiles --sourcedir=debian/libcppopt-dev -plibcppopt0c2 \
> 		usr/lib/libcppopt.so.0        \
> 		usr/lib/libcppopt.so.0.0.2
> dh_movefiles: Compatibility levels before 4 are deprecated.
> dh_installdirs
> dh_installdirs: Compatibility levels before 4 are deprecated.
> cp debian/libcppopt0c2.overrides debian/libcppopt0c2/usr/share/lintian/overrides/libcppopt0c2
> dh_installdocs
> dh_installdocs: Compatibility levels before 4 are deprecated.
> dh_installexamples
> dh_installexamples: Compatibility levels before 4 are deprecated.
> dh_installmenu
> dh_installmenu: Compatibility levels before 4 are deprecated.
> dh_installchangelogs -k NEWS
> dh_installchangelogs: Compatibility levels before 4 are deprecated.
> dh_link
> dh_link: Compatibility levels before 4 are deprecated.
> dh_strip
> dh_compress
> dh_compress: Compatibility levels before 4 are deprecated.
> dh_fixperms
> dh_fixperms: Compatibility levels before 4 are deprecated.
> dh_makeshlibs
> dh_makeshlibs: Compatibility levels before 4 are deprecated.
> dh_installdeb
> dh_installdeb: Compatibility levels before 4 are deprecated.
> dh_shlibdeps
> dh_shlibdeps: Compatibility levels before 4 are deprecated.
> dh_gencontrol
> dh_gencontrol: Compatibility levels before 4 are deprecated.
> dh_md5sums
> dh_md5sums: Compatibility levels before 4 are deprecated.
> dh_builddeb
> dh_builddeb: Compatibility levels before 4 are deprecated.
> dpkg-deb: building package `libcppopt-dev' in `../libcppopt-dev_0.0.2-6_i386.deb'.
> dpkg-deb: building package `libcppopt0c2' in `../libcppopt0c2_0.0.2-6_i386.deb'.
>  dpkg-genchanges
> dpkg-genchanges: not including original source code in upload
> dpkg-buildpackage: binary and diff upload (original source NOT included)
> Copying back the cached apt archive contents
>  -> unmounting dev/pts filesystem
>  -> unmounting proc filesystem
>  -> cleaning the build env 
>     -> removing directory /var/cache/pbuilder/build//22266 and its subdirectories
> Current time: Wed Aug  8 12:12:01 UTC 2007
> pbuilder-time-stamp: 1186575121
> Checking libcppopt-dev_0.0.2-6_i386.deb for stripped binaries...
> ---------------------------------------
> Checking libcppopt0c2_0.0.2-6_i386.deb for stripped binaries...
> ---------------------------------------
> /tmp/libcppopt0c2_0.0.2-6_i386.deb/usr/lib/libcppopt.so.0.0.2: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), stripped
> 
> ...done
> Removing result files...
> ...done
> ******************************************************************************
> Finished with status BUILD_FAILED at 2007-08-08 12:12:06.237233
> Build needed 0:06:53.165847

-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD


--- End Message ---
--- Begin Message ---
Version: 0.0.2-6+rm

The cppopt package has been removed from Debian testing, unstable and
experimental, so I am now closing the bugs that were still opened
against it.

For more information about this package's removal, read
http://bugs.debian.org/352710 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.
Barry deFreese


--- End Message ---

Reply to: